Follow an address
curl --request PUT \
--url https://api.clicker.xyz/v1/addresses/{addressOrUid}/follow \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targets": [
"<string>"
]
}
'import requests
url = "https://api.clicker.xyz/v1/addresses/{addressOrUid}/follow"
payload = { "targets": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targets: ['<string>']})
};
fetch('https://api.clicker.xyz/v1/addresses/{addressOrUid}/follow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"targetProfiles": [
{
"id": "<string>",
"name": "<string>",
"images": {
"raw": "<string>",
"xs": "<string>",
"sm": "<string>"
},
"addresses": [
"<string>"
],
"metadata": {
"farcasterUsername": "<string>",
"farcasterId": 123,
"lensHandle": "<string>",
"ensName": "<string>",
"twitterHandle": "<string>",
"debankName": "<string>",
"hlName": "<string>",
"commentCount30d": 123,
"pnl30d": 123,
"winRate30d": 123,
"tradeCount30d": 123,
"roiPercent30d": 123,
"pnl7d": 123,
"winRate7d": 123,
"tradeCount7d": 123,
"roiPercent7d": 123,
"medianHoldingTimeMinutes": 123
},
"isNSFW": false,
"externalId": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Profiles
Follow Address
For a given address, follow one or more target addresses. Following an address will automatically follow the whole profile and all their other addresses. The given address will then see those targets’ activity in their feed. Note: For performance, returned profiles exclude social metrics (follower counts, copytrade stats). Use the Get Profile endpoint for full metrics.
PUT
/
v1
/
addresses
/
{addressOrUid}
/
follow
Follow an address
⌘I